searchNodes=[{"doc":"# ---- router.ex ---- plug Replug, plug: Corsica, opts: {MyAppWeb.PlugConfigs, :corsica} # ---- plug_configs.ex ---- defmodule MyAppWeb.PlugConfigs do def corsica do [ max_age: System.get_env(&quot;CORSICA_MAX_AGE&quot;), expose_headers: ~w(X-Foo), origins: System.get_env(&quot;VALID_ORIGINS&quot;) ] end end","ref":"Replug.html","title":"Replug","type":"module"},{"doc":"This config module takes either a keyword list or a map where the keys are the option fields and the values are environment variable keys. The environment variable keys are then extrapolated out to their configured values. For example, if provided with a keyword list of:[opt_1: [:my_app, :host], opt_2: [:my_app, :port]]And the environment variables ENV_VAR_OPT_1 and ENV_VAR_OPT_2 are set to &quot;foo&quot; and &quot;bar&quot; respectfully, then the output keyword list would be:[opt_1: &quot;foo&quot;, opt_2: &quot;bar&quot;]","ref":"Replug.Configs.AppEnv.html","title":"Replug.Configs.AppEnv","type":"module"},{"doc":"","ref":"Replug.Configs.AppEnv.html#resolve/1","title":"Replug.Configs.AppEnv.resolve/1","type":"function"},{"doc":"This config module takes either a keyword list or a map where the keys are the option fields and the values are environment variable keys. The environment variable keys are then extrapolated out to their configured values. For example, if provided with a keyword list of:[opt_1: &quot;ENV_VAR_OPT_1&quot;, opt_2: &quot;ENV_VAR_OPT_2&quot;]And the environment variables ENV_VAR_OPT_1 and ENV_VAR_OPT_2 are set to &quot;foo&quot; and &quot;bar&quot; respectfully, then the output keyword list would be:[opt_1: &quot;foo&quot;, opt_2: &quot;bar&quot;]","ref":"Replug.Configs.EnvVar.html","title":"Replug.Configs.EnvVar","type":"module"},{"doc":"","ref":"Replug.Configs.EnvVar.html#resolve/1","title":"Replug.Configs.EnvVar.resolve/1","type":"function"},{"doc":"Replug Replug is a sister library for Unplug thats aims to provide the functionality that is out of scope for the Unplug library. Specifically, while Unplug allows you to conditionally execute Plugs, Replug allows you to configure arbitrary Plugs at run-time even if the Plugs don't directly support run-time configuration.","ref":"readme.html","title":"Replug","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding replug to your list of dependencies in mix.exs:def deps do [ {:replug, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Replug - Installation","type":"extras"},{"doc":"Replug can be used anywhere you would typically use the plug macro. For example, let's say you want to configure some non-configurable fields in Corsica, you could do the following:# ---- router.ex ---- plug Replug, plug: {Corsica, expose_headers: ~w(X-Foo)}, opts: {MyAppWeb.PlugConfigs, :corsica} # ---- plug_configs.ex ---- defmodule MyAppWeb.PlugConfigs do def corsica do [ max_age: System.get_env(&quot;CORSICA_MAX_AGE&quot;), origins: System.get_env(&quot;VALID_ORIGINS&quot;) ] end endThis will wrap the call to Corsica's Plug and manually invoke Corsica's init/1 function and it's call/2 function while providing run-time configuration.","ref":"readme.html#usage","title":"Replug - Usage","type":"extras"}]